Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.parser.v2
Class XMLCDATA

`java.lang.Object
oracle.xml.parser.v2.XMLNode
oracle.xml.parser.v2.CharData
oracle.xml.parser.v2.XMLText
oracle.xml.parser.v2.XMLCDATA`

All Implemented Interfaces:
  CDATASection, CharacterData, CharacterDataEditVAL, java.lang.Cloneable, EventTarget, java.io.Externalizable, Node, NodeEditVAL, java.io.Serializable, Text

public class XMLCDATA
extends XMLText
implements CDATASection, java.io.Externalizable

This class implements the DOM CDATASection interface.

See Also:
  `CDATASection`, `NodeFactory`, `DOMParser.setNodeFactory(oracle.xml.parser.v2.NodeFactory)`, Serialized Form

Field Summary

Fields inherited from class oracle.xml.parser.v2.XMLNode
`ATTRDECL, Auto_Events, capturing, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, NAMESPACE_NODE, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XDB_DATA, XMLDECL_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.validation.NodeEditVAL
`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

Constructor Summary
| `XMLCDATA()` Deprecated. use createCDATASection(String) method of XMLDocument
| `XMLCDATA(java.lang.String text)` Deprecated. see createCDATASection(String) method of XMLDocument
`protected` | `XMLCDATA(XMLDocument doc)` Protected constructor used to create custom DOM Node using XMLDocument as the factory.

Method Summary
`java.lang.String` | `getNodeName()` Gets a name of the node
`short` | `getNodeType()` Gets a code representing the type of the underlying object
`QxName` | `getQName()` Gets the QName of this node
`short` | `nodeValidity(short wFValidityCheckLevel)` DOM 3 ValidationAPI's ***
`void` | `readExternal(java.io.ObjectInput inArg)` This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
`void` | `writeExternal(java.io.ObjectOutput outArg)` This method saves the state of the object by creating a binary compressed stream with information about this object.

Methods inherited from class oracle.xml.parser.v2.XMLText
`addText, appendData, canAppendData, canDeleteData, canInsertData, canReplaceData, canSetData, deleteData, getData, getLength, getNodeValue, insertData, isWhiteSpaceNode, isWhitespaceOnly, nodeValidity, replaceData, reportSAXEvents, setData, setNodeValue, splitText, substringData`

Methods inherited from class oracle.xml.parser.v2.XMLNode
`addEventListener, appendChild, canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, cloneNode, dispatchEvent, equals, getAttributes, getChildNodes, getColumnNumber, getDebugMode, getDefaultValue, getEnumeratedValues, getFirstChild, getLastChild, getLineNumber, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveTypeId, getProperty, getSchemaTypeName, getSystemId, getText, getXMLError, hasAttributes, hasChildNodes, hashCode, insertBefore, isDocumentFlag, isNodeFlag, isSupported, normalize, print, print, print, print, removeChild, removeEventListener, replaceChild, resetNodeFlag, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setNodeFlag, setNodeFlag, setNodeFlag, setPrefix, setProperty, transformNode, valueOf, valueOf, xdbGetNodeId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Text
`splitText`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.validation.NodeEditVAL
`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, getDefaultValue, getEnumeratedValues`

Constructor Detail

### XMLCDATA

    public XMLCDATA()

  Deprecated. use createCDATASection(String) method of XMLDocument
  Default constructor. Note that this constructor is used only during deserialization/decompression of this DOM node. In order to deserialize this node to construct the DOM node from the serialized/ compressed stream, it is required to create a handle of the object.

### XMLCDATA

    public XMLCDATA(java.lang.String text)

  Deprecated. see createCDATASection(String) method of XMLDocument
  Creates a CDATA node having the given name and text.
Parameters:
  `text` - Text of the node

### XMLCDATA

    protected XMLCDATA(XMLDocument doc)

  Protected constructor used to create custom DOM Node using XMLDocument as the factory. See method XMLDocument.createNodeFromType for details.
Parameters:
  `doc` - - Owner document

Method Detail

### getNodeType

    public short getNodeType()

  Gets a code representing the type of the underlying object
  Specified by:
    `getNodeType` in interface `Node`
  Overrides:
    `getNodeType` in class `XMLText`
  Returns:
    type of the node

### getQName

    public QxName getQName()

  Gets the QName of this node
  Overrides:
    `getQName` in class `XMLText`
  Returns:
    QName of this node

### getNodeName

    public java.lang.String getNodeName()

  Gets a name of the node
  Specified by:
    `getNodeName` in interface `Node`
  Overrides:
    `getNodeName` in class `XMLText`
  Returns:
    name of the node

### nodeValidity

    public short nodeValidity(short wFValidityCheckLevel)

  DOM 3 ValidationAPI's ***
  Specified by:
    `nodeValidity` in interface `NodeEditVAL`
  Overrides:
    `nodeValidity` in class `XMLNode`
  Parameters:
    `wFValidityCheckLevel` - Flag to tell at what level validity and well-formedness checking is done.
  Returns:
    A validation state constant.

### writeExternal

    public void writeExternal(java.io.ObjectOutput outArg)
                       throws java.io.IOException

  This method saves the state of the object by creating a binary compressed stream with information about this object.
  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `XMLText`
  Parameters:
    `outArg` - is the ObjectOutput stream used to write the compressed stream.
  Throws:
    `java.io.IOException` - is thrown when there is an exception while writing the compressed stream.

### readExternal

    public void readExternal(java.io.ObjectInput inArg)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  This method reads the information written in the compressed stream by writeExternal method and restores the object correspondingly.
  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `XMLText`
  Parameters:
    `inArg` - The ObjectInput stream used for reading the compressed stream
  Throws:
    `java.io.IOException` - is thrown when there is an error in reading the input stream.
    `java.lang.ClassNotFoundException` - is thrown when the class is not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.